ANNIE2-mechanical-design - Task #18569

Revise Specification Doc.
12/14/2017 01:35 PM - Emrah Tiras

Status: New Start date: 01/25/2018
Priority: Normal Due date: 02/09/2018
Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

History

#1 - 01/25/2018 07:41 AM - Matthew Wetstein
- Due date changed from 12/22/2017 to 02/09/2018
- Start date changed from 12/14/2017 to 01/25/2018

#2 - 06/12/2018 09:18 AM - Matthew Wetstein
- % Done changed from 0 to 100
